# Generated from turbolinks_render-0.9.21.gem by gem2rpm -*- rpm-spec -*-
%global gem_name turbolinks_render

Name: rubygem-%{gem_name}
Version: 0.9.21
Release: 1%{?dist}
Summary: Use Rails render with Turbolinks
License: MIT
URL: https://github.com/jorgemanrubia/turbolinks_render
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(capybara)
# BuildRequires: rubygem(puma)
# BuildRequires: rubygem(selenium-webdriver)
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(turbolinks)
# BuildRequires: rubygem(webdrivers)
BuildArch: noarch

%description
Use render in your Rails controllers and handle the response with Turbolinks.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Thu Sep 16 2021 mockbuilder - 0.9.21-1
- Initial package
